Debian Bug report logs - #645798
xf86-video-msm: please add support for armhf

version graph

Package: xf86-video-msm; Maintainer for xf86-video-msm is Ying-Chun Liu (PaulLiu) <paulliu@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 18 Oct 2011 18:03:02 UTC

Severity: important

Tags: patch

Found in version 1.0.1+git20100122.5f7df591-1

Fixed in version xf86-video-msm/1.0.1+git20100122.5f7df591-2

Done: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ying-Chun Liu (PaulLiu) <paulliu@debian.org>:
Bug#645798; Package xf86-video-msm. (Tue, 18 Oct 2011 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Ying-Chun Liu (PaulLiu) <paulliu@debian.org>. (Tue, 18 Oct 2011 18:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: xf86-video-msm: please add support for armhf
Date: Tue, 18 Oct 2011 21:00:40 +0300
[Message part 1 (text/plain, inline)]
Package: xf86-video-msm
Version: 1.0.1+git20100122.5f7df591-1
Severity: important
Tags: patch

Please consider adding support for armhf, the package builds fine.
Note that in the patch I remove the -mfloat-abi option to the
compiler, instead of adding logic to detect the ABI (soft/hard), it's
much easier to just let the compiler use the default one -which is the
correct anyway.

Regards

Konstantinos
[xf86-video-msm_armhf.diff (application/octet-stream, attachment)]

Reply sent to Ying-Chun Liu (PaulLiu) <paulliu@debian.org>:
You have taken responsibility. (Sun, 18 Mar 2012 13:21:10 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 13:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 645798-close@bugs.debian.org (full text, mbox):

From: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
To: 645798-close@bugs.debian.org
Subject: Bug#645798: fixed in xf86-video-msm 1.0.1+git20100122.5f7df591-2
Date: Sun, 18 Mar 2012 13:18:48 +0000
Source: xf86-video-msm
Source-Version: 1.0.1+git20100122.5f7df591-2

We believe that the bug you reported is fixed in the latest version of
xf86-video-msm, which is due to be installed in the Debian FTP archive:

xf86-video-msm_1.0.1+git20100122.5f7df591-2.debian.tar.gz
  to main/x/xf86-video-msm/xf86-video-msm_1.0.1+git20100122.5f7df591-2.debian.tar.gz
xf86-video-msm_1.0.1+git20100122.5f7df591-2.dsc
  to main/x/xf86-video-msm/xf86-video-msm_1.0.1+git20100122.5f7df591-2.dsc
xserver-xorg-video-msm-dbg_1.0.1+git20100122.5f7df591-2_armhf.deb
  to main/x/xf86-video-msm/xserver-xorg-video-msm-dbg_1.0.1+git20100122.5f7df591-2_armhf.deb
xserver-xorg-video-msm_1.0.1+git20100122.5f7df591-2_armhf.deb
  to main/x/xf86-video-msm/xserver-xorg-video-msm_1.0.1+git20100122.5f7df591-2_armhf.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645798@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ying-Chun Liu (PaulLiu) <paulliu@debian.org> (supplier of updated xf86-video-msm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 18 Mar 2012 18:23:11 +0800
Source: xf86-video-msm
Binary: xserver-xorg-video-msm xserver-xorg-video-msm-dbg
Architecture: source armhf
Version: 1.0.1+git20100122.5f7df591-2
Distribution: unstable
Urgency: low
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Changed-By: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Description: 
 xserver-xorg-video-msm - MSM/QSD X Window Enablement Project
 xserver-xorg-video-msm-dbg - MSM/QSD X Window Enablement Project (debug symbols)
Closes: 645798
Changes: 
 xf86-video-msm (1.0.1+git20100122.5f7df591-2) unstable; urgency=low
 .
   * Change to armhf architecture (Closes: #645798)
     - This package only runs on armv7+neon, so we remove armel support.
   * Bump Standards-Version to 3.9.3: nothing needs to be changed
   * Bump debhelper compat 8
Checksums-Sha1: 
 c62f05a1b685710d7d1b84114b94809057dd344f 2269 xf86-video-msm_1.0.1+git20100122.5f7df591-2.dsc
 d1e9402fc22b1b8015b37680777e473bd5db2a93 9462 xf86-video-msm_1.0.1+git20100122.5f7df591-2.debian.tar.gz
 cbe2037daab6a9f157dedc18f29d8231dc2f3b85 40758 xserver-xorg-video-msm_1.0.1+git20100122.5f7df591-2_armhf.deb
 37f5255c3e6bc91f38edba3ccedb569531652fbc 10652 xserver-xorg-video-msm-dbg_1.0.1+git20100122.5f7df591-2_armhf.deb
Checksums-Sha256: 
 a8348a021fde356a7cf68c03d5409cb94a71a8a763191dadaf75b0984dbb683c 2269 xf86-video-msm_1.0.1+git20100122.5f7df591-2.dsc
 a78a9b5fe27c369da6d0b376499059be88925918ba46787a464c1b6c91453bca 9462 xf86-video-msm_1.0.1+git20100122.5f7df591-2.debian.tar.gz
 e273dca2ec92455793e1d887a3c6244a001819afb383941c86a6e8762db92872 40758 xserver-xorg-video-msm_1.0.1+git20100122.5f7df591-2_armhf.deb
 754d080b832f3861f59af243387d9bfcbd638d6b64aad4e4b927d6031d9db265 10652 xserver-xorg-video-msm-dbg_1.0.1+git20100122.5f7df591-2_armhf.deb
Files: 
 daf8e78682d2cf5fb3db415451315e5d 2269 x11 optional xf86-video-msm_1.0.1+git20100122.5f7df591-2.dsc
 33708bf34ce623576f479cbd5f3d7ff1 9462 x11 optional xf86-video-msm_1.0.1+git20100122.5f7df591-2.debian.tar.gz
 9e1cca9e393244cec320b1f839992671 40758 x11 optional xserver-xorg-video-msm_1.0.1+git20100122.5f7df591-2_armhf.deb
 c1be4bc8c7f3eaf91c699ae72fe4ad69 10652 debug extra xserver-xorg-video-msm-dbg_1.0.1+git20100122.5f7df591-2_armhf.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPZdwEAAoJEPgLgUbQQog2AWIQAJd0pw32Y/8zFBYlSgSKb7Ko
he2NhBi143+d907JS5vd/JB3z0nqWpCau6WPiPtuUL87kZi7cZNk8mBpsHXAQBBF
uKGPixPdlOMN5aVITT5WvFcEWSewtJJeTrLwuJoq6EnYLCs4gU33y0hqM+oukIR0
gR5oRW7JHI8oHvQHsdxfIx1eXOM76NGsX2CYM33t6lzsgMkT5NWGtBek9VSiTZ3v
iuz2IhBA/a4K3Zzyll6dATG3VpPzI28XinTVNOv5EQzeCAPi2znS10PHq9mVa1zV
JEtL7a1PPERHkFu6d9HmReeW24FhHwuryjEutJ3RuH3Bm5b9oicfeb/iTBs0Z658
ixu6GAJ1ukJhHP7teLLp2DaQ9nUYun5RNcMQjgy9PfJg8O0/Mad77njyfbTiCE9t
RlpBQS9iwADSVpVVSOMKZXL9IUa7WdOIQyHQi9JVKP0S8X02oQLvlSKjhQIQX1I/
L12aP2Y6MPEljpLG3odvLeCa9Wv0pQP3fBVQf4nr/Whf4yY65QnASnP9OxNdq+WL
jsKci6YQgWrpwF73ZfpoYFr0dHw2AwIIXbJ0un8zrTtEuKUKn8xvGPff4x4qLMgA
Xn7yBrQ8vw5khLnTttPTvoYdVjMAuRKrBF4iLWpcYUz3siU9skyqeM8WYRbQhB3Y
Ge6GuZ8SnuF9n8qQ4vq9
=EpHd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Apr 2012 07:39:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:17:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.